/*    callrec is a program that records calls on an openmoko.
 *    Copyright (C) 2009  Tom Hacohen (tom@stosb.com)
 *
 *    This file is a part of callrec
 * 
 *    This program is free software: you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation, either version 3 of the License, or
 *    any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

enum ActionType {
	ACTION_RECORD,
	ACTION_PLAY,
	ACTION_UNKNOWN
};

int
toggle_recording(void);

int
toggle_playing(void);

int
is_recording(void);

int
is_playing(void);

enum ActionType
whois_pid(pid_t pid);

int
start_recording(void);

int
stop_recording(void);

int
start_playing(void);

int
stop_playing(void);